Skip to main content
GET
Get a list of returns

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

retailer_id
number
required

The unique retailer ID. In the Dropship UI this is called the Merchant ID. To find your Merchant ID, click your merchant name in the top nav.

Query Parameters

Search by RMA status or identifier

status
string

RMA status

purchase_order_number
string

Purchase order number

rma_number
string

RMA number

reason_id
number[]

Reason IDs associated with RMAs. Multiple values may be separated by commas.

reason
string

RMA reason

since
number

From a past date till current time (Unix epoch format)

brand_id
number[]

Vendor ID. Multiple values may be separated by commas.

connection_id
number[]

Connection IDs. Multiple values may be separated by commas.

order_by
string

Sorting criteria

page
integer

Page number within the paginated response

limit
integer

Number of records per page

Response

200 - application/json

OK

count
integer
required

Total number of records

Example:

1005

results
object[]
required
next
string<uri> | null

Next page (applicable in a paginated response)

Example:

"https://api.example.org/demo/{retailer_id}/?page=5"

previous
string<uri> | null

Previous page (applicable in a paginated response)

Example:

"https://api.example.org/demo/{retailer_id}/?page=3"